Subject: [MBONED] I-D Action: draft-ietf-mboned-64-multicast-address-format-04.txt

From: [email-masked]
Date: Thu, 23 Aug 2012 23:10:09 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the MBONE Deployment Working Group of the IETF.

	Title           : IPv6 Multicast Address With Embedded IPv4 Multicast Address
	Author(s)       : Mohamed Boucadair
                          Jacni Qin
                          Yiu L. Lee
                          Stig Venaas
                          Xing Li
                          Mingwei Xu
	Filename        : draft-ietf-mboned-64-multicast-address-format-04.txt
	Pages           : 13
	Date            : 2012-08-23

Abstract:
   This document reserves one bit of the unicast prefix-based multicast
   IPv6 address for ASM and an IPv6 multicast prefix for SSM mode to be
   used in the context of IPv4-IPv6 interconnection.  The document
   specifies an algorithmic translation of an IPv6 multicast address to
   a corresponding IPv4 multicast address, and vice versa.  This
   algorithmic translation can be used in both IPv4-IPv6 translation or
   encapsulation schemes.

   This document updates RFC 3306.  One of the reserved bits defined in
   RFC 3306 has now a meaning.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mboned-64-multicast-address-format

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-mboned-64-multicast-address-format-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-mboned-64-multicast-address-format-04

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: <[email-masked]>
Date: Fri, 24 Aug 2012 10:37:22 +0200

Dear all,

We submitted a new version of the draft to take into account the comments received so far. 
The main changes are as follows:

   o  Indicate the draft update RFC3306 as suggested by T. Chown.  We
      didn't added a note about rfc3956 as we are defining a bit
      reserved in 3306.

   o  Because of the previous comment, the wording has been changed to
      indicate we are reserving a bit in the unicast prefix-based
      address not reserving a prefix for ASM.  The rationale behind that
      is to encourage implementations check the value of the
      reserved bit rather than matching a prefix.

   o  Clarify the meaning of "x" as requested by Behcet.

   o  Behcet asked to reserve a /17 or /12 for ASM.  We didn't considered
      that comment because we received in the past comments arguing that
      reserving /17 is a waste of multicast address space.  This is
      documented in Section 3.1 of the draft.

   o  Implemented some wording changes suggested by P. Koch.

   o  Update the section with examples.

A detailed diff is available at: http://www.ietf.org/rfcdiff?url2=draft-ietf-mboned-64-multicast-address-format-04.

If you still have a concern with the new version, please discuss it in the list.

Cheers,
Med